1.3
1.3
get /v1/cluster-fabrics/node-pools
Description
List node pools by subnet_id+zone or cluster_fabric_id. Provide subnet_id and zone together, or cluster_fabric_id alone.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | subnet_id optional | Subnet ID (cluster_fabric_id가 비어 있을 경우 필수) Example : ab313c43291e4b678f4bacffe10768ae | any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID (subnet_id가 비어 있을 경우 필수) Example : 20c507a036c447cdb3b19468d8ea62ac | any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID (특정 노드 풀에 대한 결과 필터링) Example : POOL001-krw1a | any of [string, null] | None |
| query | zone optional | 가용 영역 (subnet_id가 제공된 경우 필수) Example : kr-west1-a | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodePoolListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/node-pools
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"node_pools": [
{
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_details": []
}
],
"count": 20
}